Package Details: pacman-buildenv_ext-git 5.1.1.57.gde915c4f-1

Git Clone URL: https://aur.archlinux.org/pacman-buildenv_ext-git.git (read-only)
Package Base: pacman-buildenv_ext-git
Description: A library-based package manager with dependency support with support for build environment extensions. git version.
Upstream URL: https://bbs.archlinux.org/viewtopic.php?pid=1613555
Licenses: GPL
Conflicts: pacman
Provides: pacman=5.1.1, pacman-git=5.1.1
Submitter: quequotion
Maintainer: quequotion
Last Packager: quequotion
Votes: 1
Popularity: 0.032811
First Submitted: 2016-11-14 17:10
Last Updated: 2018-11-06 01:28

Dependencies (12)

Required by (162)

Sources (6)

Latest Comments

quequotion commented on 2018-10-24 18:15

@bartus - fixed (upstream ported the test suite to python3); also updated a few other dependencies from pacman-git's PKGBUILD while I was at it.

@svito - done. also linked makepkg-optimize to the Archwiki article.

bartus commented on 2018-10-22 11:38

Fail in check() function

============================================================================
Testsuite summary for pacman 5.1.1
============================================================================
# TOTAL: 851
# PASS:  193
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 658

svito commented on 2018-10-20 17:16

You should change url= to your makepkg-optimize forum post.

quequotion commented on 2018-08-30 01:53

Fixed!

Note, I've merged makepkg-optimize2 into makepkg-optimize, for the purpose of having less to be confused about.

bartus commented on 2018-08-10 11:18

package function is outdated, there is no need for moving completion scripts.

quequotion commented on 2018-06-26 15:39

bartus Done! I imported some changes from the pacman-git package.

Note that the optional dependency 'makepkg-optimize2' is needed to take advantage of the additional features of this package.

bartus commented on 2018-05-30 13:10

Need pacman 5.1 version.

quequotion commented on 2016-11-14 19:15

Note: This will behave just the same as pacman-git without makepkg-optimize2.

In order to use supplementary buildenv and tidy options, install makepkg-optimze2 and specify "--config /etc/makepkg-optimize.conf" to makepkg when building.